OpenJPEG 2.5.2

Data Fields
imgreg_param Struct Reference

image region parameters More...

`#include <imgreg_manager.h>`

## Data Fields
int | xosiz
int | yosiz
int | fx
| offset from the origin of the reference grid at the decomposition level
int | fy
int | ox
| frame size (fsiz)
int | oy
int | sx
| offset (roff)
int | sy
int | level
| region size (rsiz)

## Detailed Description

image region parameters

## Field Documentation

## ◆ fx

int imgreg_param::fx

offset from the origin of the reference grid at the decomposition level

Referenced by map_viewin2imgreg(), and print_imgreg().

## ◆ fy

int imgreg_param::fy

Referenced by map_viewin2imgreg(), and print_imgreg().

## ◆ level

int imgreg_param::level

region size (rsiz)

Referenced by enqueue_imagedata(), map_viewin2imgreg(), and print_imgreg().

## ◆ ox

int imgreg_param::ox

frame size (fsiz)

Referenced by enqueue_imagedata(), map_viewin2imgreg(), and print_imgreg().

## ◆ oy

int imgreg_param::oy

Referenced by enqueue_imagedata(), map_viewin2imgreg(), and print_imgreg().

## ◆ sx

int imgreg_param::sx

offset (roff)

Referenced by enqueue_imagedata(), map_viewin2imgreg(), and print_imgreg().

## ◆ sy

int imgreg_param::sy

Referenced by enqueue_imagedata(), map_viewin2imgreg(), and print_imgreg().

## ◆ xosiz

int imgreg_param::xosiz

Referenced by enqueue_imagedata(), and map_viewin2imgreg().

## ◆ yosiz

int imgreg_param::yosiz

Referenced by enqueue_imagedata(), and map_viewin2imgreg().

The documentation for this struct was generated from the following file:

- imgreg_manager.h